Package ru.bitel.bgbilling.modules.yoomoney.common.bean

# Enum CurrencyCode

java.lang.Object
java.lang.Enum<CurrencyCode>
ru.bitel.bgbilling.modules.yoomoney.common.bean.CurrencyCode

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CurrencyCode>`, `java.lang.constant.Constable`, `GuiTitlable`, `ListItem`

    public enum CurrencyCode
    extends java.lang.Enum<CurrencyCode>
    implements ListItem, GuiTitlable

Документация:

> currencyCode. Код валюты в кодировке «Яндекс.Деньги» (рубли – 643, демо-рубли – 10643).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `DEMORUB` |
  `RUB` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `int` | `getId()` |
  `java.lang.String` | `getTitle()` |
  `static CurrencyCode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static CurrencyCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RUB

    public static final CurrencyCode RUB

  - ### DEMORUB

    public static final CurrencyCode DEMORUB

- ## Method Details

  - ### values

    public static CurrencyCode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CurrencyCode valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### getTitle

    public java.lang.String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.